[arch-commits] Commit in ntop/repos (4 files)

Eric Belanger eric at archlinux.org
Sun Aug 17 20:53:21 EDT 2008


    Date: Sunday, August 17, 2008 @ 20:53:20
  Author: eric
Revision: 9459

fixing svn conflicts

Added:
  ntop/repos/extra-x86_64/ntop.install
    (from rev 9458, ntop/trunk/ntop.install)
Modified:
  ntop/repos/extra-x86_64/	(properties)
  ntop/repos/extra-x86_64/PKGBUILD
  ntop/repos/extra-x86_64/ntop.confd

--------------+
 PKGBUILD     |   23 +++++++++++++----------
 ntop.confd   |    2 +-
 ntop.install |    4 ++++
 3 files changed, 18 insertions(+), 11 deletions(-)


Property changes on: ntop/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /ntop/trunk:1
   + /ntop/trunk:1-9458

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-08-18 00:49:46 UTC (rev 9458)
+++ extra-x86_64/PKGBUILD	2008-08-18 00:53:20 UTC (rev 9459)
@@ -2,25 +2,28 @@
 # Maintainer: Aaron Griffin <aaron at archlinux.org>
 
 pkgname=ntop
-pkgver=3.3
-pkgrel=3
-pkgdesc="A network traffic probe that shows the network usage, similar to what the popular top Unix command does"
-arch=(i686 x86_64)
+pkgver=3.3.7
+pkgrel=2
+pkgdesc="A network traffic probe that shows the network usage"
+arch=('i686' 'x86_64')
 license=('GPL')
 url="http://www.ntop.org"
 depends=('libpcap>=0.9.8' 'gd' 'glib' 'libxml2' 'openssl' 'gdbm' 'rrdtool' 'pcre')
+options=('!libtool' '!makeflags')
+install=ntop.install
 source=(http://downloads.sourceforge.net/sourceforge/ntop/ntop-$pkgver.tar.gz
         ntop.confd ntop.rcd)
-options=(!libtool)
+md5sums=('4aa06c915a2ea4416f70381a94e3dcee' 'b4ea63012f94c2988e767e78ac16a309'\
+         '76acde24cc5f428ff862d7c0815feb14')
 
 build() {
   cd $startdir/src/$pkgname-$pkgver
   ./autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
-      --disable-snmp
+      --disable-snmp || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install-recursive
-  install -d -m755 --owner=nobody --group=nobody $startdir/pkg/var/ntop
+  make DESTDIR=${pkgdir} install-recursive || return 1
+  install -d -m755 --owner=nobody --group=nobody ${pkgdir}/var/ntop || return 1
 
-  install -D -m755 $startdir/src/ntop.rcd $startdir/pkg/etc/rc.d/ntop 
-  install -D -m644 $startdir/src/ntop.confd $startdir/pkg/etc/conf.d/ntop 
+  install -D -m755 ${srcdir}/ntop.rcd ${pkgdir}/etc/rc.d/ntop  || return 1
+  install -D -m644 ${srcdir}/ntop.confd ${pkgdir}/etc/conf.d/ntop || return 1
 }

Modified: extra-x86_64/ntop.confd
===================================================================
--- extra-x86_64/ntop.confd	2008-08-18 00:49:46 UTC (rev 9458)
+++ extra-x86_64/ntop.confd	2008-08-18 00:53:20 UTC (rev 9459)
@@ -8,7 +8,7 @@
 # -i -- comma separated list of interfaces to monitor
 # -w -- port to listen on (default 3000)
 #
-NTOP_ARGS="-i eth1 -w 3000"
+NTOP_ARGS="-i eth0 -w 3000"
 
 #
 # Log file for ntop

Copied: ntop/repos/extra-x86_64/ntop.install (from rev 9458, ntop/trunk/ntop.install)
===================================================================
--- extra-x86_64/ntop.install	                        (rev 0)
+++ extra-x86_64/ntop.install	2008-08-18 00:53:20 UTC (rev 9459)
@@ -0,0 +1,4 @@
+post_install() {
+  echo "==> Before running the daemon script for the first time, you need to run ntop as the root user to set an administrator password.
+==> If you attempt to run ntop as a daemon without setting a password, a FATAL ERROR message is generated and ntop stops."
+}




More information about the arch-commits mailing list